<?php
/**
 * @file
 * Expose user genereated module schema table to views.
 */

/**
 * Define UGC schema to views.
 */
function user_generated_content_views_data() {
  $data = array(
    'ugc_project_content_nodes' => array(
      'table' => array(
        'group' => 'UGC',
        'base' => array(
          'field' => 'nid',
          'title' => 'UGC',
          'help' => 'Link between UGC Project nodes and UGC Content node types.',
          'weight' => -10,
        ),
        'join' => array(
          'node' => array(
            'left_field' => 'nid',
            'field' => 'ugc_project_node',
          ),
        ),
      ),
      'ugc_project_node' => array(
        'title' => 'Project Node ID',
        'help' => 'Related user-generated Project Node ID.',
        'field' => array('handler' => 'views_handler_field_node'),
        'argument' => array('handler' => 'views_handler_argument_node_nid'),
        'filter' => array('handler' => 'views_handler_filter_numeric'),
        'sort' => array('handler' => 'views_handler_sort'),
        'relationship' => array(
          'base' => 'node',
          'base field' => 'nid',
          'handler' => 'views_handler_relationship',
          'label' => 'Related UGC Project Node',
          'title' => 'Related UGC Project',
          'help' => 'Relationship to a UGC Project Node.',
        ),
      ),
      'ugc_content_node' => array(
        'title' => 'Content Node ID',
        'help' => 'Related user-generated Content Node ID.',
        'field' => array('handler' => 'views_handler_field_node'),
        'argument' => array('handler' => 'views_handler_argument_node_nid'),
        'filter' => array('handler' => 'views_handler_filter_numeric'),
        'sort' => array('handler' => 'views_handler_sort'),
        'relationship' => array(
          'base' => 'node',
          'base field' => 'nid',
          'handler' => 'views_handler_relationship',
          'label' => 'Related UGC Content Node',
          'title' => 'Related UGC Content',
          'help' => 'Relationship to a UGC Content Node.',
        ),
      ),
    ),
  );
  return $data;
}
